coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: use sub-second timeouts to speed up a timeout test


From: Pádraig Brady
Subject: [PATCH] tests: use sub-second timeouts to speed up a timeout test
Date: Sun, 4 Nov 2012 02:13:50 +0000

* tests/misc/timeout.sh: Take advantage of recent support for
sub-second timeouts to decrease runtime from about 6s to 2s.
---
 tests/misc/timeout.sh |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/tests/misc/timeout.sh b/tests/misc/timeout.sh
index 66d6956..8db27c7 100755
--- a/tests/misc/timeout.sh
+++ b/tests/misc/timeout.sh
@@ -33,18 +33,18 @@ timeout 10 sh -c 'exit 2'
 test $? = 2 || fail=1
 
 # timeout
-timeout 1 sleep 10
+timeout .1 sleep 10
 test $? = 124 || fail=1
 
 # exit status propagation even on timeout
-timeout --preserve-status 1 sleep 10
+timeout --preserve-status .1 sleep 10
 # exit status should be 128+TERM
 test $? = 124 && fail=1
 
 # kill delay. Note once the initial timeout triggers,
 # the exit status will be 124 even if the command
 # exits on its own accord.
-timeout -s0 -k1 1 sleep 10
+timeout -s0 -k1 .1 sleep 10
 test $? = 124 && fail=1
 
 # Ensure 'timeout' is immune to parent's SIGCHLD handler
@@ -57,7 +57,7 @@ test $? = 124 && fail=1
 ) || fail=1
 
 # Don't be confused when starting off with a child (Bug#9098).
-out=$(sleep 1 & exec timeout 2 sh -c 'sleep 3; echo foo')
+out=$(sleep .1 & exec timeout .5 sh -c 'sleep 2; echo foo')
 status=$?
 test "$out" = "" && test $status = 124 || fail=1
 
-- 
1.7.6.4




reply via email to

[Prev in Thread] Current Thread [Next in Thread]